Bug 299112 - Roundtripping of lists with image bullets fails
Summary: Roundtripping of lists with image bullets fails
Status: RESOLVED FIXED
Alias: None
Product: calligracommon
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Calligra Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-30 14:43 UTC by Gopalakrishna Bhat
Modified: 2012-05-01 05:37 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Sample document showing the problem (5.92 KB, application/vnd.sun.xml.writer)
2012-04-30 14:44 UTC, Gopalakrishna Bhat
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gopalakrishna Bhat 2012-04-30 14:43:28 UTC
Pass the attached document through the load/save/load cycle and see that the image is not displayed as the list bullet

Reproducible: Always

Steps to Reproduce:
1.Pass the attached document through the load/save/load cycle and see that the image is not displayed as the list bullet
2.
3.
Comment 1 Gopalakrishna Bhat 2012-04-30 14:44:55 UTC
Created attachment 70774 [details]
Sample document showing the problem
Comment 2 T Zachmann 2012-05-01 05:37:32 UTC
Git commit f80a91d466afd17c773f23bf98adbffe11859d14 by Thorsten Zachmann.
Committed on 01/05/2012 at 07:32.
Pushed by zachmann into branch 'master'.

Add collection to datacenters so images are saved

If there was no image in the document the image bullets where not saved as the image collection
was not added to the data centers and therefore the images where not saved. This fixes that by
adding the image collection to the datacenters.
Reorder the way the attributes are added. They need to be added before a child element is added
therefore they are moved up.
Parts of the patch are provided by gopalK.

Is it ok to include KoImageData_p.h in a lib of our own code or should we find a different solution?

Ok to backport?

CCMAIL: calligra-devel@kde.org

M  +11   -8    libs/kotext/styles/KoListLevelProperties.cpp

http://commits.kde.org/calligra/f80a91d466afd17c773f23bf98adbffe11859d14